Subject: Re: [PATCH] b44: fix misalignment and wasted space in rx handling

From: Michael Buesch <[email-masked]>
Date: Fri, 9 Jan 2009 11:35:37 +0100

On Friday 09 January 2009 04:18:55 Felix Fietkau wrote:
> Broadcom 4400 puts a header of configurable size (apparently needs
> to be at least 28 bytes) in front of received packets. When handling
> this, the previous code accidentally added the offset 30 *twice* for
> the software and once for the hardware, thereby cancelling out the
> IP alignment effect of the 30 byte padding and wasting an additional
> 30 bytes of memory per packet.
> 
> This patch fixes this problem and improves routing throughput by
> about 30% on MIPS, where unaligned access is expensive.

Very nice fix, indeed.
Too bad the patch is line wrapped :)

-- 
Greetings, Michael.